/* Program TAB2SPC.C */
/* By Harald Stauss */
/* Last change 30.06.95 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <iostream.h>
#include <fstream.h>

main(int argc, char *argv[])
{
         int      na;
	 float    t, w;
	 char     *line;
         FILE     *outdat;
	 ifstream indat;

printf("TAB2SPC Ver.1.0 by H. Stauss, 1995 \n");

if (argc != 3)
   {
   printf("Number of parameters wrong! \n");
   printf("Converts DSI text files to TSA \n");
   printf("TAB2SPC f_in f_out \n");
   printf("f_in  : name of input file. \n");
   printf("f_out : name of output file. \n");
   goto ende;
   }

/* Eingabedatei oeffnen */
  indat.open(argv[1]);
  /* indat = fopen(argv[1],"r"); */
if (!indat)
   {
   printf("Can't open file %s \n",argv[1]);
   goto ende;
   }

/* Ausgabedatei oeffnen */
outdat = fopen(argv[2],"w");
if (outdat==NULL)
   {
   printf("Can't open file %s \n",argv[2]);
   goto ende;
   }

printf("Input file   : %s \n", argv[1]);
printf("Output file  : %s \n", argv[2]);

 line=new char [256];

/*  M A I N L O O P  */
while (!indat.eof()) {
  indat.getline(line, 255);
  if (line[0]!='#') {
    na=sscanf(line, "%f %f", &t, &w);
    if (na<2) w=0;
    fprintf(outdat, "%7.3f\n", w);
  }
} /* endwhile */

 delete[]line;

indat.close(); 
fclose(outdat);

ende: 


return(0);

} /* Ende von main */
